# DistributionPlugin

abstract class DistributionPlugin : Plugin<T>

Applies the DistributionBasePlugin and adds a conventional main distribution.

#### See also

<a href="https://docs.gradle.org/current/userguide/distribution_plugin.html">Distribution plugin reference</a>

## Constructors

DistributionPlugin
Link copied to clipboard
constructor()

## Properties

MAIN_DISTRIBUTION_NAME
Link copied to clipboard
val MAIN_DISTRIBUTION_NAME: String = "main"
Name of the main distribution
TASK_INSTALL_NAME
Link copied to clipboard
val TASK_INSTALL_NAME: String = "installDist"
The name of the install task for the main distribution.

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)